function A = create_excl
%Create Sudoku enigma of low difficulty by random algorithm.
%The created Sudoku is solvable by sudoku_excl_func.
%Input: nothing, Output: matrix A of initial values for Sudoku.

% Copyright (C) 2007 Felix Voigt.
% For full notice see file "sudoku_func.m".

A = zeros(9,9);
A_old = zeros(9,9); %Old values are stored, to provide the possibility for a back step.
    %(For the case, that the new initial values effect an unsolvable Sudoku.)
B = zeros(9,9,9);
B_old = zeros(9,9,9);

solved = 0; %Flag, signalizing whether Sudoku with current initial conditions can be solved by function sudoku_excl_func.
rand('state',sum(100*clock))  %Sets seed of random numbers related to computer time.
while solved == 0
    x = ceil(9*rand); %Random integer between 1 and 9.
    y = ceil(9*rand); %"
    z = ceil(9*rand); %"
    
    if B(x,y,z) == 0 %Check, whether digit z is possible at point (x,y) of matrix A.
        A_old = A; %Store old Matrizes.
        B_old = B;
        A(x,y) = z;
        [B,C,D,solved,err] = sudoku_excl_func(A);
        %If function sudoku_func.m would be used instead, it would be not sure
        %that Sudoku is uniquely solvable.
        if err == 1
            A = A_old;
            B = B_old;
        end %if
    end %if    
    
end %while


