function [B,C,D] = exclude(x,y,B,C,D)
%Specifies at every point in the column, row, the 3x3 square,
%which point (x,y) belongs to,
%that digit D(x,y) is excluded. 

% Copyright (C) 2007 Felix Voigt.
% For full notice see file "sudoku_func.m".

%At point (x,y) this numbers is confirmed: B(x,y,D(x,y)) = 2.
%All other digits are excluded.
C(x,y) = 10;
for z = 1:9 
    if z == D(x,y)
        B(x,y,z) = 2;
    else
        B(x,y,z) = 1;
    end %if
end %z
%Column.
for x1 = 1:9
    if x1 ~= x
        if B(x1,y,D(x,y)) == 0
            B(x1,y,D(x,y)) = 1;
            if D(x1,y) == 0
                C(x1,y) = C(x1,y)+1;
            end %if
        end %if
    end %if
end %x1
%Row.
for y1 = 1:9
    if y1 ~= y
        if B(x,y1,D(x,y)) == 0;
            B(x,y1,D(x,y)) = 1;
            if D(x,y1) == 0
                C(x,y1) = C(x,y1)+1;
            end %if
        end %if
    end %if
end %y1
%3x3 square.
kx = ceil(x/3)-1; %Find out, in which 3x3 square (x,y) is located.
ky = ceil(y/3)-1;
for x2 = 1:3
    x1 = 3*kx+x2;
    for y2 = 1:3
        y1 = 3*ky+y2;
        if [x1,y1] ~= [x,y]
            if B(x1,y1,D(x,y)) == 0;
                B(x1,y1,D(x,y)) = 1;
                if D(x1,y1) == 0
                    C(x1,y1) = C(x1,y1)+1;
                end %if
            end %if
        end %if
    end %y2
end %y1


