function [A_red,solved,err] = reduce_try(A)
%Reduce number of initial conditions.
%The qualitiy of the Sudoku being uniquely solvable by sudoku_func.m is demanded.
%Input: Matrix A of initial values, Output: Matrix A_red of reduced initial conditions, flag solved, flag err.

% Copyright (C) 2007 Felix Voigt.
% For full notice see file "sudoku_func.m".

A_red = A; %Matrix of reduced initial values.
%Check for error in initial conditions.
[B,C,D,guesses,solved,err] = sudoku_func(A);
if err | (~solved) == 0 %Go on, if there no error in initial conditions and Sudoku is solvable by sudoku_func.m.
    for y = 1:9
        for x = 1:9
            if A(x,y) ~= 0
                A_red(x,y) = 0;
                [B,C,D,guesses,solved,err] = sudoku_func(A_red);
                if solved == 0
                    A_red(x,y) = A(x,y); %Restore old value.
                else
                    [B,C,D,solved,err] = sudoku_excl_func(A_red); %Presolution with help of exclusion principle.
                    S =  sudoku_rec_func(D);
                    s = size(S,3);
                    if s > 1 %Non-unique solution.
                        A_red(x,y) = A(x,y); %Restore old value.
                    end %if
                end %if
            end %if
        end %x
    end %y
    err = 0; %Set as error free.
    solved = 1; %Set solved flag.
end %if


