function [B,C,D,guesses,solved,err] = sudoku_func(A)
%Solve Sudoku by exclusion principles and if necessary by trial and error.
%Input: matrix A of initial values, Output: solution matrix D.

% Copyright (C) 2007 Felix Voigt.
% Thanks to Anna-Lisa Hauswaldt for opening my eyes for the second type of exclusion principle. 
% Contact email: felixvoigt@users.sourceforge.net, please use "sudoku" as subject.
%
% This program is free software; you can redistribute it and/or
% modify it under the terms of the GNU General Public License
% as published by the Free Software Foundation; either version 2
% of the License, or (at your option) any later version.
% 
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
% 
% You should have received a copy of the GNU General Public License
% along with this program; if not, write to the Free Software
% Foundation, Inc., 51 Franklin Street, Fifth Floor,
% Boston, MA  02110-1301, USA

guesses = 0; %Number of trials.
solved = 0; %0: not solved, 1:solved.
[B,C,D,solved,err] = sudoku_excl_func(A); %Solution by exclusion principles.
if err == 0
    if solved == 0 %If Sudoku has not yet been solved.
        [B,C,D,guesses,solved,err] = sudoku_try_func(D,B,C); %Solve by trial and error.
    end %if
end %if


