function [B,C,D,guesses,solved,err] = sudoku_try_func(A,B,C)
%Trial and error solution of Sudokus.
%Input: matrix A of initial values, Output: solution matrix D.

% Copyright (C) 2007 Felix Voigt.
% For full notice see file "sudoku_func.m".

%Initialisation.
D = A;
A_try = zeros(9,9); %Matrix, by which solutions are tried.
B_try = zeros(9,9,9);
C_try = zeros(9,9);
D_try = zeros(9,9);
err = 0; %Error flag.
solved = 0; %Flag, which signalizes, if Sudoku is solved.
guesses = 0; %Number of trials.
for x = 1:9
    for y = 1:9
        for z = 1:9
            if B(x,y,z) == 0
                guesses = guesses+1;
                A_try = A; %Initialise A_try to A.
                A_try(x,y) = z; %Try, if entering number z at point (x,y) solves Sudoku.
                [B_try,C_try,D_try] = sudoku_excl_func(A_try); %Solve Sudoku by exclusion principles.
                if C_try ==  10*ones(9,9)
                    B = B_try;
                    C = C_try;
                    D = D_try;
                    solved = 1; %Sudoku is solved!
                end %if
            end %if
            if solved == 1
                break
            end %if
        end %for
        if solved == 1
            break
        end %if
    end %for
    if solved == 1
        break
    end %if
end %for
